org.eclnt.jsfserver.defaultscreens

## Class YESNOPopup

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.YESNOPopup

- All Implemented Interfaces:
    java.io.Serializable, BasePopup.IPopupListener, ModalPopup.IModalPopupListener

      public class YESNOPopup
      extends java.lang.Object
      implements java.io.Serializable, ModalPopup.IModalPopupListener

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `YESNOPopup.IYesNoCancelListener`
    `static interface` | `YESNOPopup.IYesNoListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PAGENAME_DEFAULT`
    `static java.lang.String` | `PAGENAME_HTML`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `YESNOPopup()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkIfAlreadyOpened()` Checks if already the instance of the popup is opened.
    `static YESNOPopup` | `createInstance(java.lang.String title, java.lang.String text, YESNOPopup.IYesNoListener yesNoListener)` Create and open a YESNOPopup.
    `java.lang.String` | `getBackgroundColor()`
    `java.lang.String` | `getCancelButtonImage()`
    `java.lang.String` | `getHeadline()`
    `boolean` | `getHeadlineRendered()`
    `java.lang.String` | `getIcon()`
    `java.lang.String` | `getImageBackgroundColor()`
    `static java.lang.Throwable` | `getLastCallStackTrace()` Passes back the last throwable (for analyzing the stack trace) of the last operation that opened the popup.
    `ModalPopup` | `getModalPopup()`
    `java.lang.String` | `getNoButtonImage()`
    `java.lang.String` | `getRequestFocusCancel()`
    `java.lang.String` | `getRequestFocusNo()`
    `java.lang.String` | `getRequestFocusYes()`
    `boolean` | `getShowCancel()`
    `java.lang.String` | `getText()`
    `java.lang.String` | `getTextAlign()`
    `java.lang.String` | `getTextCancel()`
    `java.lang.String` | `getTextNo()`
    `java.lang.String` | `getTextYes()`
    `java.lang.String` | `getYesButtonImage()`
    `boolean` | `isIconRendered()`
    `void` | `onCancel(ActionEvent ae)`
    `void` | `onNo(ActionEvent ae)`
    `void` | `onYes(ActionEvent ae)`
    `void` | `reactOnPopupClosedByUser()`
    `void` | `setBackgroundColor(java.lang.String backgroundColor)`
    `void` | `setCancelButtonImage(java.lang.String cancelButtonImage)`
    `void` | `setHeadline(java.lang.String value)`
    `void` | `setHeight(int value)`
    `void` | `setIcon(java.lang.String value)`
    `void` | `setImageBackgroundColor(java.lang.String imageBackgroundColor)`
    `void` | `setInitialFocusToCancel()`
    `void` | `setInitialFocusToNo()`
    `void` | `setInitialFocusToYes()`
    `void` | `setNoButtonImage(java.lang.String noButtonImage)`
    `void` | `setShowCancel(boolean value)` By default the popup has a Yes and a No button - the user can cancel by closing the popup usRing the normal popup close icon.
    `void` | `setText(java.lang.String value)` Set the text that is presented as question to the user.
    `void` | `setTextAlign(java.lang.String value)`
    `void` | `setTextCancel(java.lang.String value)` Set the text of cancel-button.
    `void` | `setTextNo(java.lang.String value)` Set the text of no-button.
    `void` | `setTextYes(java.lang.String value)` Set the text of yes-button.
    `void` | `setWidth(int value)`
    `void` | `setYesButtonImage(java.lang.String yesButtonImage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PAGENAME_DEFAULT

          public static java.lang.String PAGENAME_DEFAULT

    - #### PAGENAME_HTML

          public static java.lang.String PAGENAME_HTML

  - ### Constructor Detail

    - #### YESNOPopup

          public YESNOPopup()

  - ### Method Detail

    - #### createInstance

          public static YESNOPopup createInstance(java.lang.String title,
                                                  java.lang.String text,
                                                  YESNOPopup.IYesNoListener yesNoListener)

      Create and open a YESNOPopup. Dependent from the type of the listener the popup is shown with (IYesNoListener) or without cancel button (IYesNoCancelLitener).
      Please note: this popup can only be opened once, i.e. it cannot be opened mulitple times! When attempting to call it twice then a RuntimeException is thrown.

    - #### checkIfAlreadyOpened

          public static boolean checkIfAlreadyOpened()

      Checks if already the instance of the popup is opened.

    - #### getLastCallStackTrace

          public static java.lang.Throwable getLastCallStackTrace()

      Passes back the last throwable (for analyzing the stack trace) of the last operation that opened the popup. May return null. This information typically is useful when you try to open the popup, receive a runtime exception that it is already opened and do not know who was the first caller of the popup.

    - #### setInitialFocusToYes

          public void setInitialFocusToYes()

    - #### setInitialFocusToNo

          public void setInitialFocusToNo()

    - #### setInitialFocusToCancel

          public void setInitialFocusToCancel()

    - #### getRequestFocusYes

          public java.lang.String getRequestFocusYes()

    - #### getRequestFocusNo

          public java.lang.String getRequestFocusNo()

    - #### getRequestFocusCancel

          public java.lang.String getRequestFocusCancel()

    - #### getYesButtonImage

          public java.lang.String getYesButtonImage()

    - #### setYesButtonImage

          public void setYesButtonImage(java.lang.String yesButtonImage)

    - #### getNoButtonImage

          public java.lang.String getNoButtonImage()

    - #### setNoButtonImage

          public void setNoButtonImage(java.lang.String noButtonImage)

    - #### getCancelButtonImage

          public java.lang.String getCancelButtonImage()

    - #### setCancelButtonImage

          public void setCancelButtonImage(java.lang.String cancelButtonImage)

    - #### getBackgroundColor

          public java.lang.String getBackgroundColor()

    - #### setBackgroundColor

          public void setBackgroundColor(java.lang.String backgroundColor)

    - #### getImageBackgroundColor

          public java.lang.String getImageBackgroundColor()

    - #### setImageBackgroundColor

          public void setImageBackgroundColor(java.lang.String imageBackgroundColor)

    - #### setText

          public void setText(java.lang.String value)

      Set the text that is presented as question to the user.

    - #### getText

          public java.lang.String getText()

    - #### setIcon

          public void setIcon(java.lang.String value)

    - #### getIcon

          public java.lang.String getIcon()

    - #### getHeadlineRendered

          public boolean getHeadlineRendered()

    - #### setHeadline

          public void setHeadline(java.lang.String value)

    - #### getHeadline

          public java.lang.String getHeadline()

    - #### setTextAlign

          public void setTextAlign(java.lang.String value)

    - #### getTextAlign

          public java.lang.String getTextAlign()

    - #### setTextYes

          public void setTextYes(java.lang.String value)

      Set the text of yes-button. If not specified the default text is shown.

    - #### getTextYes

          public java.lang.String getTextYes()

    - #### setTextNo

          public void setTextNo(java.lang.String value)

      Set the text of no-button. If not specified the default text is shown.

    - #### getTextNo

          public java.lang.String getTextNo()

    - #### setTextCancel

          public void setTextCancel(java.lang.String value)

      Set the text of cancel-button. If not specified the default text is shown.

    - #### getTextCancel

          public java.lang.String getTextCancel()

    - #### getModalPopup

          public ModalPopup getModalPopup()

    - #### isIconRendered

          public boolean isIconRendered()

    - #### setShowCancel

          public void setShowCancel(boolean value)

      By default the popup has a Yes and a No button - the user can cancel by closing the popup usRing the normal popup close icon. But: if setting showCancel to "true" then the cancel button is shown explicitly.

    - #### getShowCancel

          public boolean getShowCancel()

    - #### onYes

          public void onYes(ActionEvent ae)

    - #### onNo

          public void onNo(ActionEvent ae)

    - #### onCancel

          public void onCancel(ActionEvent ae)

    - #### reactOnPopupClosedByUser

          public void reactOnPopupClosedByUser()

      Specified by:
        `reactOnPopupClosedByUser` in interface `BasePopup.IPopupListener`

    - #### setWidth

          public void setWidth(int value)

    - #### setHeight

          public void setHeight(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.